Line items
Lines of booking invoices
The line item object
Attributes
iduuidUnique identifier
created_atread-onlytimestamp with time zoneCreation timestamp
updated_atread-onlytimestamp with time zoneLast modification timestamp
amountintegerAmount of the line item, in cents
fee_typeLineItemFeeTypeType of the fee: fee or deposit
item_typeLineItemTypeType of the line item, most commonly fee
manualbooleanWhether the line item was added manually
nameMultiLanguageStringLocalized name of the line item
quantityintegerQuantity of the line item
Related resources
Embed related resources in the response with the select parameter, for example select=*,bookings(*). Resources related through more than one column need the column as a hint, like table!column(*).
line_item_taxes(*)arrayThe line item taxes referencing this line item through line_item_taxes.line_item_id.
{
"id": "00000000-0000-0000-0000-000000000000",
"booking_id": "00000000-0000-0000-0000-000000000000",
"event_id": "00000000-0000-0000-0000-000000000000",
"invoice_id": "00000000-0000-0000-0000-000000000000",
"service_id": "00000000-0000-0000-0000-000000000000",
"created_at": "2026-10-30T22:27:57.301Z",
"updated_at": "2026-10-30T22:27:57.301Z",
"amount": 0,
"fee_type": "fee",
"item_type": "rent",
"manual": false,
"name": {},
"quantity": 0
}curl -X GET "https://api.bookingmood.com/v1/line_items?limit=10&select=*,bookings(*),calendar_events(*)" \
-H "Authorization: Bearer YOUR_API_KEY"List line items
Filters
idFilter<uuid>Unique identifier
created_atFilter<timestamp with time zone>Creation timestamp
updated_atFilter<timestamp with time zone>Last modification timestamp
amountFilter<integer>Amount of the line item, in cents
fee_typeFilter<LineItemFeeType>Type of the fee: fee or deposit
item_typeFilter<LineItemType>Type of the line item, most commonly fee
manualFilter<boolean>Whether the line item was added manually
nameFilter<MultiLanguageString>Localized name of the line item
quantityFilter<integer>Quantity of the line item
Responses
200A list of line items with the selected columns
206Partial Content
400The request is malformed, for example an unknown column or an invalid filter.
401The API key is missing or invalid.
code, message, details and hint. See the introduction for more on errors.GET /line_itemscurl -X GET "https://api.bookingmood.com/v1/line_items?select=*&limit=10" \
-H "Authorization: Bearer YOUR_API_KEY"[
{
"id": "00000000-0000-0000-0000-000000000000",
"booking_id": "00000000-0000-0000-0000-000000000000",
"event_id": "00000000-0000-0000-0000-000000000000",
"invoice_id": "00000000-0000-0000-0000-000000000000",
"service_id": "00000000-0000-0000-0000-000000000000",
"created_at": "2026-10-30T22:27:57.301Z",
"updated_at": "2026-10-30T22:27:57.301Z",
"amount": 0,
"fee_type": "fee",
"item_type": "rent",
"manual": false,
"name": {},
"quantity": 0
}
]Create line items
Body
Partial<LineItem> | Array<Partial<LineItem>>Read-only attributes are set by the database and can't be written.
Responses
201The newly created line items with the selected columns
400The request is malformed, for example an unknown column, an invalid filter or an invalid body.
401The API key is missing or invalid.
403The API key has no permission for this change, for example when writing rows of another organization.
409The change conflicts with existing data, for example a duplicate key or a reference to a row that does not exist.
code, message, details and hint. See the introduction for more on errors.POST /line_itemscurl -X POST "https://api.bookingmood.com/v1/line_items" \
-H "Authorization: Bearer YOUR_API_KEY" \
-H "Content-Type: application/json" \
-d '{
"amount": 0,
"booking_id": "00000000-0000-0000-0000-000000000000",
"fee_type": "fee",
"item_type": "rent",
"manual": false,
"name": {},
"quantity": 0
}'[
{
"id": "00000000-0000-0000-0000-000000000000",
"booking_id": "00000000-0000-0000-0000-000000000000",
"event_id": "00000000-0000-0000-0000-000000000000",
"invoice_id": "00000000-0000-0000-0000-000000000000",
"service_id": "00000000-0000-0000-0000-000000000000",
"created_at": "2026-10-30T22:27:57.301Z",
"updated_at": "2026-10-30T22:27:57.301Z",
"amount": 0,
"fee_type": "fee",
"item_type": "rent",
"manual": false,
"name": {},
"quantity": 0
}
]Delete line items
Filters
Without filters, this request deletes all line items you have access to. Always filter on at least one column, e.g. id=eq.{id}.
idFilter<uuid>Unique identifier
created_atFilter<timestamp with time zone>Creation timestamp
updated_atFilter<timestamp with time zone>Last modification timestamp
amountFilter<integer>Amount of the line item, in cents
fee_typeFilter<LineItemFeeType>Type of the fee: fee or deposit
item_typeFilter<LineItemType>Type of the line item, most commonly fee
manualFilter<boolean>Whether the line item was added manually
nameFilter<MultiLanguageString>Localized name of the line item
quantityFilter<integer>Quantity of the line item
Responses
200The deleted line items with the selected columns. Returns 204 without a body when sending the header Prefer: return=minimal.
400The request is malformed, for example an unknown column or an invalid filter.
401The API key is missing or invalid.
403The API key has no permission for this change, for example when writing rows of another organization.
code, message, details and hint. See the introduction for more on errors.DELETE /line_itemscurl -X DELETE "https://api.bookingmood.com/v1/line_items?id=eq.00000000-0000-0000-0000-000000000000" \
-H "Authorization: Bearer YOUR_API_KEY"[
{
"id": "00000000-0000-0000-0000-000000000000",
"booking_id": "00000000-0000-0000-0000-000000000000",
"event_id": "00000000-0000-0000-0000-000000000000",
"invoice_id": "00000000-0000-0000-0000-000000000000",
"service_id": "00000000-0000-0000-0000-000000000000",
"created_at": "2026-10-30T22:27:57.301Z",
"updated_at": "2026-10-30T22:27:57.301Z",
"amount": 0,
"fee_type": "fee",
"item_type": "rent",
"manual": false,
"name": {},
"quantity": 0
}
]Update line items
Filters
Without filters, this request updates all line items you have access to. Always filter on at least one column, e.g. id=eq.{id}.
idFilter<uuid>Unique identifier
created_atFilter<timestamp with time zone>Creation timestamp
updated_atFilter<timestamp with time zone>Last modification timestamp
amountFilter<integer>Amount of the line item, in cents
fee_typeFilter<LineItemFeeType>Type of the fee: fee or deposit
item_typeFilter<LineItemType>Type of the line item, most commonly fee
manualFilter<boolean>Whether the line item was added manually
nameFilter<MultiLanguageString>Localized name of the line item
quantityFilter<integer>Quantity of the line item
Body
Partial<LineItem>Read-only attributes are set by the database and can't be written.
Responses
200The updated line items with the selected columns. Returns 204 without a body when sending the header Prefer: return=minimal.
400The request is malformed, for example an unknown column, an invalid filter or an invalid body.
401The API key is missing or invalid.
403The API key has no permission for this change, for example when writing rows of another organization.
409The change conflicts with existing data, for example a duplicate key or a reference to a row that does not exist.
code, message, details and hint. See the introduction for more on errors.PATCH /line_itemscurl -X PATCH "https://api.bookingmood.com/v1/line_items?id=eq.00000000-0000-0000-0000-000000000000" \
-H "Authorization: Bearer YOUR_API_KEY" \
-H "Content-Type: application/json" \
-d '{
"amount": 0
}'[
{
"id": "00000000-0000-0000-0000-000000000000",
"booking_id": "00000000-0000-0000-0000-000000000000",
"event_id": "00000000-0000-0000-0000-000000000000",
"invoice_id": "00000000-0000-0000-0000-000000000000",
"service_id": "00000000-0000-0000-0000-000000000000",
"created_at": "2026-10-30T22:27:57.301Z",
"updated_at": "2026-10-30T22:27:57.301Z",
"amount": 0,
"fee_type": "fee",
"item_type": "rent",
"manual": false,
"name": {},
"quantity": 0
}
]